%global momorel 3
%global qtver 3.3.7
%global kdever 3.5.8
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 c9f5b86a15271ee204e1b0cb513788d3

Summary: KDE Photo Album 
Name: kphotoalbum
Version: 3.1.0
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://kphotoalbum.org/
Group: Applications/Multimedia
%NoSource 0 http://kphotoalbum.org/download/%{name}-%{version}.tar.bz2 %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: kipi-plugins
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: exiv2-devel >= 0.15
BuildPreReq: gettext
BuildPreReq: libkdcraw-devel >= 0.1.3
BuildPreReq: libkipi-devel

%description
A photo almbum tool.  focuses on three key points:
  * It must be easy to describe a number of images at a time. 
  * It must be easy to search for images. 
  * It must be easy to browse and View the images.

Can use kipi-plugins

%prep
%setup -q

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-exiv2 \
	--enable-kipi \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kphotoalbum.png %{buildroot}%{_datadir}/pixmaps/kphotoalbum.png

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in da de es et fr it nl pt sv ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING ChangeLog INSTALL README TODO
%{_bindir}/kphotoalbum
%{_datadir}/applications/kde/kphotoalbum-import.desktop
%{_datadir}/applications/kde/kphotoalbum.desktop
%{_datadir}/apps/kphotoalbum
%{_datadir}/config/kphotoalbumrc
%{_datadir}/doc/HTML/*/kphotoalbum
%{_datadir}/icons/*/*/*/kphotoalbum.png
%{_datadir}/locale/*/LC_MESSAGES/kphotoalbum.mo
%{_datadir}/mimelnk/application/x-vnd.kde.kphotoalbum-import.desktop
%{_datadir}/pixmaps/kphotoalbum.png

%changelog
* Thu Jan 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.1.0-3m)
- BuildPreReq: libkdcraw-devel >= 0.1.3

- * Sun Jan 13 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- - (3.1.0-2m)
- - rebuild against exiv2-0.16
- - License: GPLv2

* Sun Dec  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.1.0-1m)
- version 3.1.0

* Fri Apr 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.2-2m)
- rebuild against exiv2-0.14

* Sat Apr 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.2-1m)
- version 3.0.2

* Sat Apr 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.1-1m)
- version 3.0.1

* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0-1m)
- initial package for Momonga Linux
